Skip to main content
`Ctrl`+`K`

# PetscCDFConstant2D

CDF for the uniform distribution in 2D

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscCDFConstant2D(const PetscReal x[], const PetscReal unused[], PetscReal p[])

Not Collective

## Input Parameters

- x - Coordinate in \([-1, 1]^2\)

- unused - Unused

## Output Parameter

- p - The cumulative probability at `x`

## See Also

`PetscPDFConstant2D()`, `PetscPDFSampleConstant2D()`, `PetscCDFConstant1D()`, `PetscCDFConstant3D()`

## Level

beginner

## Location

src/dm/dt/interface/dtprob.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages